%define		libpath		/usr/games/lib/angband/
%define		varpath		/var/lib/games/angband/

Name:		angband
Version: 	3.0.3
Release: 	alt3

Packager:	Alexey Voinov <voins@altlinux.ru>

Summary:	Angband is a "graphical" dungeon adventure game
Summary(ru_RU.KOI8-R): 	Angband -  .
License:	Moria/Angband license
Group:		Games/Adventure
Source:		%name-%version.tar.bz2
Source1:	%name.config.h
Source2:	%name-graf.tar.bz2
Source3:	%name.menu
Source4:	graf-32x32-302.tar.bz2
Patch:		%name-3.0.1-vns3.patch
URL:		http://www.thangorodrim.net

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4

%set_autoconf_version 2.13
%set_automake_version 1.4


# Automatically added by buildreq on Thu Oct 09 2003
BuildRequires: XFree86-devel-static XFree86-libs libncurses-devel libtinfo-devel xpm

%description
Angband is a "graphical" dungeon adventure game using textual characters
to represent the walls and floors of a dungeon and the inhabitants therein,
in the vein of "rogue", "hack", "nethack" and "moria"

%description -l ru_RU.KOI8-R
Angband -  .    ,     
  - ,    .
     moria. 

%prep
%setup -q -a2 -a4
%patch -p1 -b .vns
cp %SOURCE1 src/config.h

%build
export CFLAGS="$RPM_OPT_FLAGS"
#export CFLAGS="-g"
aclocal
automake
./configure --with-x --with-libpath=%libpath \
	--with-setgid=games --prefix=/usr/ --bindir=/usr/games/ \
	--datadir=/usr/
make
 
%install
mkdir -p $RPM_BUILD_ROOT%libpath
mkdir -p $RPM_BUILD_ROOT%varpath
make DESTDIR=$RPM_BUILD_ROOT install
cp -R $RPM_BUILD_DIR/%name-%version/%name-graf \
	$RPM_BUILD_ROOT%libpath/xtra/
mv $RPM_BUILD_ROOT%libpath/xtra/%name-graf \
	$RPM_BUILD_ROOT%libpath/xtra/graf
find $RPM_BUILD_ROOT%prefix -name delete.me -exec rm '{}' ';'
install -p -D -m644 %SOURCE3 $RPM_BUILD_ROOT%_menudir/%name
cp 32x32.bmp $RPM_BUILD_ROOT%libpath/xtra/graf

mv $RPM_BUILD_ROOT%libpath/apex $RPM_BUILD_ROOT%varpath
mv $RPM_BUILD_ROOT%libpath/bone $RPM_BUILD_ROOT%varpath
mv $RPM_BUILD_ROOT%libpath/data $RPM_BUILD_ROOT%varpath
mv $RPM_BUILD_ROOT%libpath/save $RPM_BUILD_ROOT%varpath
mv $RPM_BUILD_ROOT%libpath/user $RPM_BUILD_ROOT%varpath

touch $RPM_BUILD_ROOT%varpath/apex/scores.raw

%post
%update_menus
if [ -d %libpath/apex/ ]; then
	for f in %libpath/apex/*; do
		[ -e $f ] && install -m0664 -g games -o games $f %varpath/apex/
	done
	rm -rf %libpath/apex
fi
if [ -d %libpath/data/ ]; then
	rm -rf %libpath/data
fi
if [ -d %libpath/save/ ]; then
	for f in %libpath/save/*; do
		[ -e $f ] && install -m0664 -g games -o games $f %varpath/save/
	done
	rm -rf %libpath/save
fi

%preun
if [ -d %varpath/data/ ]; then
	rm -rf %varpath/data/*
fi

%postun
%clean_menus

%files
%doc AUTHORS COPYING readme.txt THANKS TODO changes.txt compile.txt
%attr(02711,games,games) %prefix/games/%name
%attr(0755,games,games) %dir %libpath
%attr(0755,games,games) %dir %varpath
%attr(0775,games,games) %dir %varpath/apex/
%attr(0664,games,games) %config(noreplace) %varpath/apex/*
%attr(0070,games,games) %dir %varpath/bone/
%attr(0775,games,games) %dir %varpath/data/
%attr(0070,games,games) %dir %varpath/save/
%attr(0777,games,games) %dir %varpath/user/
%dir %libpath/edit/
%dir %libpath/file/
%dir %libpath/help/
%dir %libpath/info/
%dir %libpath/pref/
%dir %libpath/script/
%dir %libpath/xtra/
%dir %libpath/xtra/graf/
%libpath/edit/*
%libpath/file/*
%libpath/help/*
%libpath/pref/*
%libpath/script/*
%libpath/xtra/graf/*
%_menudir/*

%changelog
* Thu Oct 09 2003 Alexey Voinov <voins@altlinux.ru> 3.0.3-alt3
- buildreqs fixed (fixes bug #3088)

* Sat Sep 13 2003 Alexey Voinov <voins@altlinux.ru> 3.0.3-alt2
- now builds with hasher.

* Tue Feb 25 2003 Alexey Voinov <voins@voins.program.ru> 3.0.3-alt1
- new version (3.0.3)
- new tiles 32x32 packaged
- menu entry changed to startangband with new tiles.

* Tue Jan 21 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0.1-alt2
- made buildable.

* Wed Oct 23 2002 Alexey Voinov <voins@voins.program.ru> 3.0.1-alt1
- new version(3.0.1)
- vns3 patch updated
- url updated

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 3.0.0-alt1.1
- fixed suid/sgid file permissions

* Mon Jun 10 2002 Alexey Voinov <voins@voins.program.ru> 3.0.0-alt1
- new version(3.0.0)
- .vns3 patch updated

* Mon Jan 07 2002 Alexey Voinov <voins@voins.program.ru> 2.9.3-alt4
- directories rearranged (no more writes to /usr)
- remove data directory when uninstall
- remove directories from old install (data,save,apex)
- copy old savefiles into new location
- description and Summary updated and translated

* Mon Sep 17 2001 Alexey Voinov <voins@voins.program.ru> 2.9.3-alt3
- 2 bugfixes applied
- little spec cleanup
- menu fixed

* Thu Sep 13 2001 Alexey Voinov <voins@voins.program.ru> 2.9.3-alt2
- menu file added

* Fri Aug 17 2001 Alexey Voinov <voins@voins.program.ru> 2.9.3-alt1
- new version

* Sun Mar 13 2001 Alexey Voinov <voins@voins.program.ru>
- initial build 
